Bug 191948 - gdb segfaults on ia64
gdb segfaults on ia64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2006-05-16 11:45 EDT by Doug Chapman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: gdb-6.3.0.0-1.129
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 08:28:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace of gdb segvault (4.19 KB, text/plain)
2006-05-16 14:23 EDT, Doug Chapman
no flags Details

  None (edit)
Description Doug Chapman 2006-05-16 11:45:53 EDT
Description of problem:
gdb on rawhide ia64 hits a segmentation fault when doing any debugging.  Simply
running a simple hello world program through it will hit this.


Version-Release number of selected component (if applicable):
gdb-6.3.0.0-1.128.FC6
gcc-4.1.0-17
glibc-2.4.90-7


How reproducible:
100%

Steps to Reproduce:
1. compile a hello world with -g
2. gdb a.out
3. run
  
Actual results:
Segmentation fault



Expected results:


Additional info:
Comment 1 Doug Chapman 2006-05-16 11:49:45 EDT
A little more info...

I also tried compiling with -static with the same results.  Also tried compiling
both normal and static on a RHEL4 system and running on rawhide with the same
results.

Comment 2 Tony Luck 2006-05-16 12:08:29 EDT
Works (sort of) (on a slightly older?) RHEL4 installation.

$ gdb --version
GNU gdb Red Hat Linux (6.3.0.0-0.31rh)

$ rpm -q -f /usr/bin/gdb
gdb-6.3.0.0-0.31

I do see a "Failed to read a valid object file image from memory." on startup 
of gdb, and when I type "run", but no SIGSEGV, and things otherwise seem to be 
working (can set breakpoints, gdb stops at them and prints reasonable location 
information).  This was with a kernel.org kernel.  Running with RHEL4 kernel 
2.6.9-34.EL, I see similar results ... gdb works, but there are some warning 
messages (e.g. "warning: cannot close "shared object read from target memory": 
File in wrong format").
Comment 3 Doug Chapman 2006-05-16 13:21:24 EDT
Tony's note above gave me the idea to try the RHEL4 gdb on rawhide.  I removed
gdb and installed gdb-6.3.0.0-1.96.ia64.rpm from the RHEL4 tree.  This version
of gdb works with no problem.  I don't see the error that Tony mentions here.

Comment 4 Doug Chapman 2006-05-16 14:23:08 EDT
Created attachment 129253 [details]
stack trace of gdb segvault

This was created by setting "ulimit -c" so that gdb would create a core file
then using the RHEL4 gdb to read that core and get a stack trace.
Comment 5 Émeric Maschino 2006-05-16 15:04:29 EDT
FYI, gdb-6.3.0.0-1.122 shipped with the ia64 FC5 ISO DVD image posted by Prarit
on oss.sgi.com is running fine too.
Comment 7 Alexandre Oliva 2006-05-17 09:54:38 EDT
Thanks for the report, this should be fixed in tomorrow's rawhide,
gdb-6.3.0.0-1.129.FC6.ia64.
Comment 8 Émeric Maschino 2006-05-18 19:49:51 EDT
I confirm that today's Rawhide gdb-6.3.0.0-1.129.FC6 is working again. Many
thanks for this quick fix.
Comment 9 Fedora Update System 2006-09-14 21:46:46 EDT
gdb-6.3.0.0-1.134.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.